using DamageAssesment.Api.Documents.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Mail;
using System.Text;
using System.Threading.Tasks;

namespace DamageAssesment.Api.Documents.Test
{
    public class LinkTypeMockData
    {

        public static async Task<(bool, List<Documents.Models.LinkType>, string)> getOkResponse()
        {
            List<Documents.Models.LinkType> list = new List<Documents.Models.LinkType>();

            for (int i = 1; i < 4; i++)
            {
                list.Add(new Documents.Models.LinkType()
                {
                    Id = i,
                    TypeText = "sample"+i,
                    IsActive = true
                });
            }
            return (true, list, null);
        }
        public static async Task<(bool, Documents.Models.LinkType, string)> getOkResponse(int Id)
        {
            var Documents = await getOkResponse();
            var Document = Documents.Item2.FirstOrDefault(s => s.Id == Id);
            return (true, Document, null);
        }
        public static async Task<(bool, Documents.Models.LinkType, string)> getBadRequestResponse()
        {
            return (false, null, "Bad Request");
        }

        public static async Task<(bool, Documents.Models.LinkType, string)> getNotFoundResponse()
        {
            return (false, null, "Not Found");
        }
        public static async Task<(bool, IEnumerable<Documents.Models.LinkType>, string)> getNoContentResponse()
        {
            IEnumerable<Documents.Models.LinkType> list = new List<Documents.Models.LinkType>();
            return (false, list, null);
        }

        public static async Task<Documents.Models.LinkType> getInputLinkData(int id)
        {
            return new Models.LinkType
            {
                Id = id,
                TypeText = "sample",
                IsActive = true
            };
        }

    }
}
